apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: {{ .Release.Name }}-kube-scheduler
  labels:
    helm.sh/release: {{ .Release.Name }}
    helm.sh/chart: {{ .Chart.Name }}
    helm.sh/app: kube-scheduler
spec:
  commonName: system:kube-scheduler
  privateKey:
    algorithm: ECDSA
    size: 256
  issuerRef:
    group: cert-manager.io
    kind: Issuer
    name: {{ .Release.Name }}-k8s
  secretName: {{ .Release.Name }}-kube-scheduler-cert